import getopt
import sys


class ZipFiles:
    def __init__(self, folder, pattern, lag):
        self.folder = folder
        self.pattern = pattern
        self.lag = lag
        self.total_list = 1

    def make_list(self):
        self.total_list = 1


def main(argv):
    # input argument checking
    if len(argv) < 6:
        print("ZipFiles.py -f <folder> -p <pattern> -l <lag>")
        sys.exit(2)
    try:
        opts, args = getopt.getopt(argv, "hf:p:l:", ["folder=", "pattern=", "lag="])
    except getopt.GetoptError:
        print("ZipFiles.py -f <folder> -p <pattern> -l <lag>")
        sys.exit(2)
    else:
        for opt, arg in opts:
            if opt == "-h":
                print("ZipFiles.py -f <folder> -p <pattern> -l <lag>")
                print("ZipFiles.py --folder <folder> --pattern <pattern> --lag <lag>")
                sys.exit()
            elif opt in ("-f", "--folder"):
                folder = arg
            elif opt in ("-p", "--pattern"):
                pattern = arg
            elif opt in ("-l", "--lag"):
                lag = arg

        try:
            print("ZipFiles.py({},{},{})".format(folder, pattern, lag))

            zip_file = ZipFiles(folder, pattern, lag)

        except FileNotFoundError:
            exit(1)


if __name__ == "__main__":
    main(sys.argv[1:])
